<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pds/pampdsTemplate.xhtml">
            <ui:param name="pageTitle"
                      value="#{messages['gazelle.simulator.pam.PAMPDSLinkUnlinkPatientInformationListADTA24ADTA']}"/>
            <ui:param name="panelTitle" value="#{messages['gazelle.simulator.pam.LinkunlinkPatients']}"/>
            <ui:param name="diagramSrc" value="diag/#{linkUnlinkManager.sendingActor.keyword}_A24.png"/>
            <ui:param name="pdsBean" value="#{linkUnlinkManager}"/>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateP1Button" value="#{messages['gazelle.simulator.pam.GeneratePatientOne']}"
                                   actionListener="#{linkUnlinkManager.generatePatientOne()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel,sendHL7MessageDiv"/>
                <a4j:commandButton id="generateP2Button" value="#{messages['gazelle.simulator.pam.GeneratePatientTwo']}"
                                   actionListener="#{linkUnlinkManager.generatePatientTwo()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel,sendHL7MessageDiv"/>
            </ui:define>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.SelectTwoPatientsToLinkOrGenerateOneOfThemorEven']}"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandButton value="1"
                                           actionListener="#{linkUnlinkManager.setSelectedPatient(patient)}"
                                           render="messageConfigurationPanel,sendHL7MessageDiv" styleClass="gzl-btn-blue"
                                           title="#{messages['net.ihe.gazelle.simulators.ChooseAsFirstPatient']}" execute="@this"/>
                        <a4j:commandButton value="2"
                                           actionListener="#{linkUnlinkManager.setSecondaryPatient(patient)}"
                                           render="messageConfigurationPanel,sendHL7MessageDiv" styleClass="gzl-btn-blue"
                                           title="#{messages['net.ihe.gazelle.simulators.ChooseAsSecondPatient']}" execute="@this"/>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <div class="row">
                    <div class="col-md-5">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">
                                #{messages['gazelle.simulator.pam.PatientOne']}
                            </ui:define>
                            <f:subview id="include4Patient1" rendered="#{linkUnlinkManager.selectedPatient != null}">
                                <ui:include src="/patient/showPatient.xhtml">
                                    <ui:param name="patient" value="#{linkUnlinkManager.selectedPatient}"></ui:param>
                                    <ui:param name="renderHistory" value="false"></ui:param>
                                    <ui:param name="renderEncounters" value="false"></ui:param>
                                    <ui:param name="renderZFD" value="#{iti30Manager.bp6Mode}"/>
                                    <ui:param name="zfp" value="false"/><ui:param name="zfs" value="false"/>
                                    <ui:param name="showLinks" value="true"/>
                                    <ui:param name="prefix" value="pat1"/>
                                    <ui:param name="renderRelationships" value="false"/>
                                    <ui:param name="zfs" value="false"/>
                                </ui:include>
                            </f:subview>
                            <ui:define name="panel_footer">
                                <a4j:commandButton value="#{messages['gazelle.simulator.pam.CancelThisChoice']}"
                                                   actionListener="#{linkUnlinkManager.setSelectedPatient(null)}"
                                                   styleClass="gzl-btn"
                                                   disabled="#{linkUnlinkManager.selectedPatient == null}"
                                                   render="messageConfigurationPanel,sendHL7MessageDiv"/>
                            </ui:define>
                        </ui:decorate>
                    </div>
                    <s:div styleClass="col-md-2" id="imagesDiv">
                        <div class="btn-toolbar" role="toolbar" aria-label="actionBar">
                            <div class="btn-group btn-group-lg" role="group" aria-label="actionButtons">
                                <a4j:commandButton value="#{messages['gazelle.HL7Common.link']}"
                                                   actionListener="#{linkUnlinkManager.setLink(true)}"
                                                   render="imagesDiv"
                                                   styleClass="#{linkUnlinkManager.linkButtonClass}"/>
                                <a4j:commandButton value="#{messages['gazelle.pam.Unlink']}"
                                                   actionListener="#{linkUnlinkManager.setLink(false)}"
                                                   render="imagesDiv"
                                                   styleClass="#{linkUnlinkManager.unlinkButtonClass}"/>
                            </div>
                        </div>
                    </s:div>
                    <div class="col-md-5">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">
                                #{messages['gazelle.simulator.pam.PatientTwo']}
                            </ui:define>
                            <f:subview id="include4Patient2" rendered="#{linkUnlinkManager.secondaryPatient != null}">
                                <ui:include src="/patient/showPatient.xhtml">
                                    <ui:param name="patient" value="#{linkUnlinkManager.secondaryPatient}"></ui:param>
                                    <ui:param name="renderHistory" value="false"></ui:param>
                                    <ui:param name="renderEncounters" value="false"></ui:param>
                                    <ui:param name="showLinks" value="true"/>
                                    <ui:param name="prefix" value="pat2"/>
                                    <ui:param name="renderRelationships" value="false"/>
                                </ui:include>
                            </f:subview>
                            <ui:define name="panel_footer">
                                <a4j:commandButton value="#{messages['gazelle.simulator.pam.CancelThisChoice']}"
                                                   actionListener="#{linkUnlinkManager.setSecondaryPatient(null)}"
                                                   styleClass="gzl-btn"
                                                   disabled="#{linkUnlinkManager.secondaryPatient == null}"
                                                   render="messageConfigurationPanel,sendHL7MessageDiv"/>
                            </ui:define>
                        </ui:decorate>
                    </div>
                </div>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
